Name: fusionforge
Version: 5.3.2
Release: 3%{?dist}
Summary: Collaborative development tool

Group: Development/Tools
BuildArch: noarch
# FusionForge is GPLv2+ and JQuery is MIT
License: GPLv2+ and MIT
URL: http://www.fusionforge.org/
Source0: https://fusionforge.org/frs/download.php/file/49/fusionforge-5.3.2.tar.bz2
# Don't ship a bundled viewvc, backported from upstream master
Patch0: unbundle-viewvc.patch
# Use php-curl instead of bundled php-snoopy, backported from upstream master
Patch1: snoopy-to-curl.patch
# Fix postgresql detection, upstream master reworked build system and fixed this already
Patch2: install-ng-postgresql.patch
Requires: %{name}-db-local = %{version}-%{release}, %{name}-web = %{version}-%{release}
Provides: bundled(jquery) = 1.8.3, bundled(jquery-ui) = 1.9.2
# Fix mediawiki cron paths
Patch3: mediawiki-cron.patch

%description
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This metapackage installs a stand-alone FusionForge site.
%files


%prep
%setup -q
# Remove bundled ViewVC
rm -rf www/scm/viewvc/
%patch0 -p1
chmod 755 www/scm/viewvc/viewvc.cgi
ln -s %{_datadir}/viewvc/templates/docroot/images www/scm/viewvc/docroot/
# Remove bundled Snoopy
%patch1 -p1
rm -rf plugins/scmhook/library/scm*/hooks/committracker/Snoopy.class.php
%patch2 -p1
%patch3 -p1

%build
sed -i -e 's,gforge,fusionforge,' etc/config.ini-fhsrh etc/httpd.conf-fhsrh  # fix path
sed -i -e 's,/src,,' etc/config.ini-fhsrh etc/httpd.conf-fhsrh  # fix path
cp etc/config.ini-fhsrh etc/config.ini-opt  # for install-ng
utils/manage-apache-config.sh build  # build Apache configuration
sed -i -e 's/gforge/fusionforge/g' etc/httpd.conf.d-fhsrh/50-*  # fix path
# Use default Fedora cert
sed -i -e 's!SSLCertificateFile .*!SSLCertificateFile /etc/pki/tls/certs/localhost.crt!' etc/httpd.conf.d-fhsrh/ssl-really-on.inc
sed -i -e 's!SSLCertificateKeyFile .*!SSLCertificateKeyFile /etc/pki/tls/private/localhost.key!' etc/httpd.conf.d-fhsrh/ssl-really-on.inc
# Add missing permissions (fixed upstream)
cat <<EOF >> etc/httpd.conf.d/plugin-generic.inc
<DirectoryMatch {core/source_path}/plugins/[^/]*/cgi-bin/>
  Include {core/config_path}/httpd.conf.d/auth-main.inc
</DirectoryMatch>
EOF

%install
# Note: using manual install here since the 5.3 build system is limited.
# 6.0 comes with a new build system - and simplified packaging :)
# http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries .../simplepie.inc -> php-simplepie
rm -rf common/rss/simplepie.inc
# http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries .../nusoap.php -> php-nusoap
rm -rf www/soap/
# Remove RDF libraries, used by plugins we didn't package because as they weren't available in Fedora
rm -rf vendor/arc/
rm -f plugins/extsubproj/include/Graphite.php plugins/globaldashboard/include/Graphite.php
# HTMLPurifier
ln -s /usr/share/php/htmlpurifier/HTMLPurifier.auto.php common/include/
# Lots of rpmlint issue in this release
chmod g-s -R docs/  # non-standard-dir-perm
rm -rf docs/docbook/  # zero-length, hidden-file-or-dir
sed -i -e '11 s/.$//' docs/README.NSS-pgsql  # file-not-utf8
# non-executable-script
chmod 755 \
    common/docman/engine/parser_doc.php common/docman/engine/parser_html.php \
    common/docman/engine/parser_oo.php common/docman/engine/parser_pdf.php \
    common/docman/engine/parser_text.php \
    db/20021213-2-doc_data-migrate.php db/20010304-4-artifact-convert-files.php \
    install/install3 install/deps \
    plugins/sysauthldap/bin/install.sh plugins/sysauthldap/bin/schema2ldif.pl \
    plugins/scmbzr/bin/install.sh \
    plugins/hudson/cronjobs/manage_hudson.php \
    plugins/moinmoin/cronjobs/create-wikis.php plugins/mediawiki/bin/* \
    plugins/scmhook/cronjobs/updateScmRepo.php \
    utils/update-all-in-sysauth.php
# script-without-shebang
chmod 644 cronjobs/stats_projects.inc 

# common
install -d -m 00755 %{buildroot}%{_bindir}/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/bin/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/cronjobs/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/lib/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/plugins/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/post-install.d/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/utils/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/etc/
install -d -m 00755 %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/
install -d -m 00755 %{buildroot}%{_sysconfdir}/%{name}/plugins/
install -d -m 00755 %{buildroot}%{_sysconfdir}/%{name}/templates/
install -d -m 00755 %{buildroot}%{_sysconfdir}/cron.d/
install -d -m 00755 %{buildroot}%{_sysconfdir}/logrotate.d/
install -d -m 00755 %{buildroot}%{_localstatedir}/lib/%{name}/
install -d -m 00755 %{buildroot}%{_localstatedir}/lib/%{name}/etc/
install -d -m 00755 %{buildroot}%{_localstatedir}/lib/%{name}/plugins/
install -d -m 00755 %{buildroot}%{_localstatedir}/log/%{name}/
cp -p etc/config.ini-fhsrh %{buildroot}%{_sysconfdir}/%{name}/config.ini
cp -p \
    etc/config.ini.d/defaults.ini \
    etc/config.ini.d/debug.ini \
    etc/config.ini.d/zzzz-local.ini \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/
cp -pr common install install-ng %{buildroot}%{_datadir}/%{name}/
cp -pr plugins/env.inc.php %{buildroot}%{_datadir}/%{name}/plugins/
cp -p \
    utils/fg_template \
    utils/forge_get_config_basic \
    %{buildroot}%{_datadir}/%{name}/utils/
ln -s ../bin/forge_set_password %{buildroot}%{_datadir}/%{name}/utils/
cp -p etc/config.ini-* %{buildroot}%{_datadir}/%{name}/etc/
ln -s /etc/fusionforge/config.ini.d %{buildroot}%{_datadir}/%{name}/etc/
cp -p \
    utils/forge_get_config \
    utils/forge_run_job \
    utils/forge_run_plugin_job \
    utils/forge_set_password \
    utils/migrate-to-ini-files.sh \
    utils/list-admins.php \
    utils/list-projects-using-plugin.php \
    utils/normalize_roles.php \
    utils/update-all-in-sysauth.php \
    utils/httpd_log_demux.php \
    utils/forge_wrapper \
    %{buildroot}%{_datadir}/%{name}/bin/
cp -p \
    cronjobs/create_scm_repos.php \
    cronjobs/gather_scm_stats.php \
    cronjobs/generate_scm_snapshots.php \
    %{buildroot}%{_datadir}/%{name}/cronjobs/
ln -s %{_datadir}/%{name}/bin/forge_wrapper %{buildroot}%{_bindir}/forge_get_config
ln -s %{_datadir}/%{name}/bin/forge_wrapper %{buildroot}%{_bindir}/forge_run_job
ln -s %{_datadir}/%{name}/bin/forge_wrapper %{buildroot}%{_bindir}/forge_run_plugin_job
cp -p utils/include.pl %{buildroot}%{_datadir}/%{name}/lib/
cp -p utils/default_page.php %{buildroot}%{_datadir}/%{name}/utils/
cp -pr locales %{buildroot}%{_datadir}/locale
%find_lang %{name}
# db-local
cp -pr db %{buildroot}%{_datadir}/%{name}/
cp -p db/upgrade-db.php %{buildroot}%{_datadir}/%{name}/bin/
cp -p \
    cronjobs/calculate_user_metric.php \
    cronjobs/check_stale_tracker_items.php \
    cronjobs/db_project_sums.php \
    cronjobs/db_stats_agg.php \
    cronjobs/db_trove_maint.php \
    cronjobs/ftp_create_group_access.php \
    cronjobs/get_news_notapproved.pl \
    cronjobs/gforge-db-backup.sh \
    cronjobs/massmail.php \
    cronjobs/project_cleanup.php \
    cronjobs/project_weekly_metric.php \
    cronjobs/rating_stats.php \
    cronjobs/reporting_cron.php \
    cronjobs/rotate_activity.php \
    cronjobs/site_stats.php \
    cronjobs/stats_projects.inc \
    cronjobs/stats_site.inc \
    cronjobs/vacuum.php \
    %{buildroot}%{_datadir}/%{name}/cronjobs/
cp -pr plugins/authbuiltin %{buildroot}%{_datadir}/%{name}/plugins/
cp -p plugins/authbuiltin/etc/authbuiltin.ini %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/
install -d -m 00755 %{buildroot}%{_datadir}/%{name}/www/plugins/
ln -s ../../plugins/authbuiltin/www %{buildroot}%{_datadir}/%{name}/www/plugins/authbuiltin
# web
cp -pr vendor www %{buildroot}%{_datadir}/%{name}/
cp -p utils/manage-apache-config.sh %{buildroot}%{_datadir}/%{name}/utils/
install -d -m 00755 %{buildroot}%{_sysconfdir}/httpd/conf.d/
cp -p  etc/httpd.conf-fhsrh   %{buildroot}%{_sysconfdir}/httpd/conf.d/z-gforge.conf
cp -pr etc/httpd.conf.d-fhsrh %{buildroot}%{_sysconfdir}/%{name}/httpd.conf.d
touch %{buildroot}%{_localstatedir}/lib/%{name}/etc/httpd.vhosts
install -d -m 00700 %{buildroot}%{_localstatedir}/lib/%{name}/docman/
install -d -m 00700 %{buildroot}%{_localstatedir}/lib/%{name}/download/
install -d -m 00700 %{buildroot}%{_localstatedir}/lib/%{name}/forum/
install -d -m 00700 %{buildroot}%{_localstatedir}/lib/%{name}/tracker/
# web-vhosts
cp -pr etc/templates/httpd.vhosts %{buildroot}%{_sysconfdir}/%{name}/templates/
cp -pr cronjobs/create_vhosts.php %{buildroot}%{_datadir}/%{name}/cronjobs/
# shell
cp -pr utils/install-nsspgsql.sh %{buildroot}%{_datadir}/%{name}/bin/
cp -pr cronjobs/homedirs.php %{buildroot}%{_datadir}/%{name}/cronjobs/
cp -pr cronjobs/ssh_create.php %{buildroot}%{_datadir}/%{name}/cronjobs/
# lists
cp -pr cronjobs/mail %{buildroot}%{_datadir}/%{name}/cronjobs/
# cron
sed -e 's/\$FFUSER/fusionforge/g' packaging/cron.d/cron.fusionforge > %{buildroot}%{_sysconfdir}/cron.d/%{name}

# plugins
for p in scmgit scmsvn scmbzr scmhg scmdarcs aselectextauth authcas \
    authhttpd authldap blocks ckeditor compactpreview externalsearch \
    gravatar headermenu hudson mediawiki message moinmoin online_help \
    scmhook projectlabels contribtracker globalsearch webanalytics \
    sysauthldap; do
    install -d -m 00755 %{buildroot}%{_datadir}/%{name}/plugins/$p/
    (
        cd plugins/$p/
        cp -pr $(ls | grep -v '^(etc|packaging)$') %{buildroot}%{_datadir}/%{name}/plugins/$p/
        cp -pr etc/$p.ini %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/
        if [ -d etc/plugins/$p ]; then \
            cp -pr etc/plugins/$p %{buildroot}%{_sysconfdir}/%{name}/plugins/
        fi
        for i in $(ls etc/cron.d/* 2>/dev/null); do
            sed 's,@bindir@,$(bindir),' $i > %{buildroot}%{_sysconfdir}/cron.d/$(basename $i)
        done
    )
done
# SSH-based default install
sed -i \
    -e 's!use_dav = yes!use_dav = no!g' \
    -e 's!use_ssh = no!use_ssh = yes!g' \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/scmsvn.ini \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/scmgit.ini
# Use new-style repos path (cf. upstream master)
sed -i -e 's!_prefix = "$core/chroot!_prefix = "!' \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/defaults.ini
sed -i -e 's!^repos_path = "$core/chroot/scmrepos!repos_path = "/srv!' \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/scm*.ini
# Done in 'install-ng --config' but too late for the initial db/upgrade.php
sed -i -e 's!^apache_user = .*!apache_user = "apache"!' \
       -e 's!^apache_group = .*!apache_group = "apache"!' \
    %{buildroot}%{_sysconfdir}/%{name}/config.ini.d/defaults.ini
# plugin-mediawiki
ln -s /usr/share/mediawiki/api.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/extensions %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/img_auth.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/includes %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/index.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/languages %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/load.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/maintenance/ %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/opensearch_desc.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/profileinfo.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/redirect.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/StartProfiler.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/thumb.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/trackback.php %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
ln -s /usr/share/mediawiki/skins %{buildroot}%{_datadir}/%{name}/plugins/mediawiki/www/
install -d -m 00755 %{buildroot}%{_localstatedir}/lib/%{name}/plugins/mediawiki/
ln -s /usr/share/mediawiki %{buildroot}%{_localstatedir}/lib/%{name}/plugins/mediawiki/master
install -d -m 00755 %{buildroot}%{_datadir}/mediawiki/skins/
ln -s %{_datadir}/%{name}/plugins/mediawiki/mediawiki-skin/FusionForge.php %{buildroot}%{_datadir}/mediawiki/skins/
ln -s %{_datadir}/%{name}/plugins/mediawiki/mediawiki-skin/fusionforge %{buildroot}%{_datadir}/mediawiki/skins/
# plugin-scmgit
install -d -m 00755 -d %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/cgi-bin
ln -s www/cgi-bin %{buildroot}%{_datadir}/%{name}/plugins/scmgit/cgi-bin
ln -s /var/www/git/gitweb.cgi %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/cgi-bin/gitweb.cgi
ln -s /var/www/git/static/gitweb.css %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/gitweb.css
ln -s /var/www/git/static/gitweb.js %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/gitweb.js
ln -s /var/www/git/static/git-favicon.png %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/git-favicon.png
ln -s /var/www/git/static/git-logo.png %{buildroot}%{_datadir}/%{name}/plugins/scmgit/www/git-logo.png

# Declare rpm-specific version
sed \
    -e "s!@PKGNAME@!FusionForge!g" \
    -e "s!@PKGVERSION@!%{version}-%{release}!g" \
    -e "s!@PLUCKERNAME@!FusionForge!g" \
    < %{buildroot}/%{_datadir}/%{name}/common/pkginfo.inc.php.template \
    > %{buildroot}/%{_datadir}/%{name}/common/pkginfo.inc.php

# doc
cat <<EOF > README.fedora
Base post-install: run /usr/share/fusionforge/install-ng --database --config
Note: the next FusionForge release will come with a fully-automated installer.
EOF


%package common
Summary: Collaborative development tool - shared files
Requires: php-cli, php-pgsql, php-process, php-htmlpurifier-htmlpurifier, cronie, which
%description common
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains files and programs used by several other
subpackages.
%files common -f %{name}.lang
%doc AUTHORS* CHANGES COPYING INSTALL.TXT NEWS README
%doc docs/*
%doc README.fedora
%{_bindir}/forge_get_config
%{_bindir}/forge_run_job
%{_bindir}/forge_run_plugin_job
%{_datadir}/%{name}/bin/forge_get_config
%{_datadir}/%{name}/bin/forge_run_job
%{_datadir}/%{name}/bin/forge_run_plugin_job
%{_datadir}/%{name}/bin/forge_set_password
%{_datadir}/%{name}/bin/forge_wrapper
%{_datadir}/%{name}/bin/httpd_log_demux.php
%{_datadir}/%{name}/bin/list-admins.php
%{_datadir}/%{name}/bin/list-projects-using-plugin.php
%{_datadir}/%{name}/bin/migrate-to-ini-files.sh
%{_datadir}/%{name}/bin/normalize_roles.php
%{_datadir}/%{name}/bin/update-all-in-sysauth.php
%{_datadir}/%{name}/cronjobs/create_scm_repos.php
%{_datadir}/%{name}/cronjobs/gather_scm_stats.php
%{_datadir}/%{name}/cronjobs/generate_scm_snapshots.php
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/etc/
%{_datadir}/%{name}/install-ng
%{_datadir}/%{name}/install/
%{_datadir}/%{name}/lib/
%{_datadir}/%{name}/utils/default_page.php
%{_datadir}/%{name}/utils/fg_template
%{_datadir}/%{name}/utils/forge_get_config_basic
%{_datadir}/%{name}/utils/forge_set_password
%dir %{_localstatedir}/lib/%{name}/
%dir %{_localstatedir}/lib/%{name}/etc/
%dir %{_localstatedir}/log/%{name}/
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.ini
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/debug.ini
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/defaults.ini
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/zzzz-local.ini
%config(noreplace) %{_sysconfdir}/httpd/conf.d/z-gforge.conf
%config(noreplace) %{_sysconfdir}/%{name}/httpd.conf.d/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/authbuiltin.ini
%{_datadir}/%{name}/plugins/env.inc.php
%{_datadir}/%{name}/plugins/authbuiltin/


%package db-local
Summary: Collaborative development tool - database (using PostgreSQL)
Requires: %{name}-common = %{version}-%{release}, postgresql-server
Provides: %{name}-db = %{version}-%{release}
%description db-local
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package installs, configures and maintains the FusionForge
database.
%files db-local
%{_datadir}/%{name}/bin/upgrade-db.php
%{_datadir}/%{name}/cronjobs/calculate_user_metric.php
%{_datadir}/%{name}/cronjobs/check_stale_tracker_items.php
%{_datadir}/%{name}/cronjobs/db_project_sums.php
%{_datadir}/%{name}/cronjobs/db_stats_agg.php
%{_datadir}/%{name}/cronjobs/db_trove_maint.php
%{_datadir}/%{name}/cronjobs/ftp_create_group_access.php
%{_datadir}/%{name}/cronjobs/get_news_notapproved.pl
%{_datadir}/%{name}/cronjobs/gforge-db-backup.sh
%{_datadir}/%{name}/cronjobs/massmail.php
%{_datadir}/%{name}/cronjobs/project_cleanup.php
%{_datadir}/%{name}/cronjobs/project_weekly_metric.php
%{_datadir}/%{name}/cronjobs/rating_stats.php
%{_datadir}/%{name}/cronjobs/reporting_cron.php
%{_datadir}/%{name}/cronjobs/rotate_activity.php
%{_datadir}/%{name}/cronjobs/site_stats.php
%{_datadir}/%{name}/cronjobs/stats_projects.inc
%{_datadir}/%{name}/cronjobs/stats_site.inc
%{_datadir}/%{name}/cronjobs/vacuum.php
%{_datadir}/%{name}/db


%package db-remote
Summary: Collaborative development tool - database (remote and already installed)
Provides: %{name}-db = %{version}-%{release}
%description db-remote
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This dummy package tells FusionForge you installed the database on a
separate machine.  It preserves the fusionforge-db virtual dependency,
to configure the database before depending packages in single-server
installs (e.g. plugins activation requires a populated db).
%files db-remote


%package shell
Summary: Collaborative development tool - shell accounts (using PostgreSQL)
Requires: %{name}-common = %{version}-%{release}, php, openssh-server, nscd, libnss-pgsql, pam
%description shell
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package provides shell accounts authenticated via the PostGreSQL
database to FusionForge users.
%files shell
%{_datadir}/%{name}/bin/install-nsspgsql.sh
%{_datadir}/%{name}/cronjobs/homedirs.php
%{_datadir}/%{name}/cronjobs/ssh_create.php


%package web
Summary: Collaborative development tool - web part (using Apache)
Requires: %{name}-common = %{version}-%{release}, %{name}-db = %{version}-%{release}, httpd, mod_ssl, php, php-pgsql, php-simplepie, php-nusoap
%description web
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains the files needed to run the web part of
FusionForge on an Apache web server.
%files web
%{_datadir}/%{name}/vendor
%{_datadir}/%{name}/www
%attr(0775, apache, apache) %dir %{_datadir}/%{name}/www/plugins
%{_datadir}/%{name}/utils/manage-apache-config.sh
%{_localstatedir}/lib/%{name}/etc/httpd.vhosts
%attr(0775, apache, apache) %dir %{_localstatedir}/lib/%{name}/docman/
%attr(0775, apache, apache) %dir %{_localstatedir}/lib/%{name}/download/
%attr(0775, apache, apache) %dir %{_localstatedir}/lib/%{name}/forum/
%attr(0775, apache, apache) %dir %{_localstatedir}/lib/%{name}/tracker/

%package web-vhosts
Summary: Collaborative development tool - web vhosts (using Apache)
Requires: %{name}-common = %{version}-%{release}, httpd
%description web-vhosts
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains the files needed to run project vhosts
on an Apache web server.
%files web-vhosts
%config(noreplace) %{_sysconfdir}/%{name}/templates/httpd.vhosts
%{_datadir}/%{name}/cronjobs/create_vhosts.php


%package lists
Summary: Collaborative development tool - mailing-lists (using Mailman)
Requires: %{name}-common = %{version}-%{release}, mailman
%description lists
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package controls the interaction between FusionForge and Mailman.
%files lists
%{_datadir}/%{name}/cronjobs/mail/


%package plugin-scmgit
Requires: %{name}-common = %{version}-%{release}, git, gitweb
Summary: FusionForge plugin - Git
%description plugin-scmgit
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Git subsystem of FusionForge. It allows each
FusionForge project to have its own Git repository, and gives some
control over it to the project's administrator.
%files plugin-scmgit
%{_datadir}/%{name}/plugins/scmgit/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmgit.ini


%package plugin-scmsvn
Requires: %{name}-common = %{version}-%{release}, subversion, viewvc
Summary: FusionForge plugin - Subversion
%description plugin-scmsvn
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Subversion subsystem of FusionForge. It allows
each FusionForge project to have its own Subversion repository, and gives
some control over it to the project's administrator.
%files plugin-scmsvn
%{_datadir}/%{name}/plugins/scmsvn/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmsvn.ini
%config(noreplace) %{_sysconfdir}/%{name}/plugins/scmsvn/


%package plugin-scmbzr
Requires: %{name}-common = %{version}-%{release}, bzr, mod_wsgi, loggerhead
Summary: FusionForge plugin - Bazaar
%description plugin-scmbzr
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Bazaar subsystem of FusionForge. It allows each
FusionForge project to have its own Bazaar repository, and gives some control
over it to the project's administrator.
%files plugin-scmbzr
%{_datadir}/%{name}/plugins/scmbzr/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmbzr.ini
%config(noreplace) %{_sysconfdir}/%{name}/plugins/scmbzr/


%package plugin-scmhg
Requires: %{name}-common = %{version}-%{release}, mercurial
Summary: FusionForge plugin - Mercurial
%description plugin-scmhg
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Mercurial (Hg) subsystem of FusionForge. It
allows each FusionForge project to have its own Mercurial repository,
and gives some control over it to the project's administrator.
%files plugin-scmhg
%{_datadir}/%{name}/plugins/scmhg/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmhg.ini


%package plugin-scmdarcs
Requires: %{name}-common = %{version}-%{release}, darcs
Summary: FusionForge plugin - Darcs
%description plugin-scmdarcs
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Darcs subsystem of FusionForge. It allows each
FusionForge project to have its own Darcs repository, and gives some control
over it to the project's administrator.
%files plugin-scmdarcs
%{_datadir}/%{name}/plugins/scmdarcs/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmdarcs.ini


%package plugin-aselectextauth
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - A-select external authentication
%description plugin-aselectextauth
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

A system plugin for authenticating users in fusionforge. A-Select is a framework
where users can be authenticated by several means with Authentication
Service Providers.
%files plugin-aselectextauth
%{_datadir}/%{name}/plugins/aselectextauth/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/aselectextauth.ini


%package plugin-authcas
Requires: %{name}-common = %{version}-%{release}, php-pear-CAS
Summary: FusionForge plugin - CAS authentication
%description plugin-authcas
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a CAS authentication mechanism for
FusionForge. It allows users to authenticate against an external CAS
server.
%files plugin-authcas
%{_datadir}/%{name}/plugins/authcas/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/authcas.ini


%package plugin-authhttpd
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - HTTPD authentication
%description plugin-authhttpd
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains an HTTPD authentication mechanism for
FusionForge. It allows Apache authentication to be reused for
FusionForge, for instance where Kerberos is used.
%files plugin-authhttpd
%{_datadir}/%{name}/plugins/authhttpd/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/authhttpd.ini


%package plugin-authldap
Requires: %{name}-common = %{version}-%{release}, php-ldap
Summary: FusionForge plugin - LDAP authentication
%description plugin-authldap
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains an LDAP authentication mechanism for
FusionForge. It allows users to authenticate against an external LDAP
directory, and syncs some of their personal information from LDAP
into the FusionForge database.
%files plugin-authldap
%{_datadir}/%{name}/plugins/authldap/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/authldap.ini


%package plugin-blocks
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Blocks
%description plugin-blocks
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Blocks subsystem of FusionForge. It allows each
FusionForge project to have its own Blocks, and gives some
control over it to the project's administrator.
%files plugin-blocks
%{_datadir}/%{name}/plugins/blocks/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/blocks.ini


%package plugin-ckeditor
Requires: %{name}-common = %{version}-%{release}, ckeditor
Summary: FusionForge plugin - HTML editor (ckeditor)
%description plugin-ckeditor
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

CKEditor is a WYSIWYG text editor that displays within a web browser.
%files plugin-ckeditor
%{_datadir}/%{name}/plugins/ckeditor/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/ckeditor.ini


%package plugin-compactpreview
Requires: %{name}-common = %{version}-%{release}, php-pear-HTTP
Summary: FusionForge plugin - CompactPreview!
%description plugin-compactpreview
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin adds support for user and project compact-preview
(popups) compatible with the OSLC specifications.
%files plugin-compactpreview
%{_datadir}/%{name}/plugins/compactpreview/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/compactpreview.ini


%package plugin-externalsearch
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - External Search
%description plugin-externalsearch
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin adds a new search engine to your FusionForge site. It allows
your users to search your FusionForge site through external search engines
which have indexed it. You can define search engines you want to use in
the configuration file.
%files plugin-externalsearch
%{_datadir}/%{name}/plugins/externalsearch/
%config(noreplace) %{_sysconfdir}/%{name}/plugins/externalsearch/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/externalsearch.ini


%package plugin-gravatar
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Gravatar Plugin
%description plugin-gravatar
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the gravatar plugin of FusionForge. It allows each
FusionForge user to have its gravatar icon displayed.
%files plugin-gravatar
%{_datadir}/%{name}/plugins/gravatar/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/gravatar.ini


%package plugin-headermenu
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Menu Tabs Manager
%description plugin-headermenu
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to define extra tabs with arbitrary
titles and links.
%files plugin-headermenu
%{_datadir}/%{name}/plugins/headermenu/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/headermenu.ini


%package plugin-hudson
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Hudson/Jenkins
%description plugin-hudson
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Hudson subsystem of FusionForge. It allows each
FusionForge project to have its own Hudson, and gives some
control over it to the project's administrator.
%files plugin-hudson
%{_datadir}/%{name}/plugins/hudson/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/hudson.ini
%config(noreplace) %{_sysconfdir}/%{name}/plugins/hudson/


%package plugin-mediawiki
Requires: %{name}-common = %{version}-%{release}, mediawiki
Summary: FusionForge plugin - Mediawiki
%description plugin-mediawiki
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to embed Mediawiki under a tab.
%files plugin-mediawiki
%{_datadir}/%{name}/plugins/mediawiki/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/mediawiki.ini
%config(noreplace) %{_sysconfdir}/%{name}/plugins/mediawiki/
%config(noreplace) %{_sysconfdir}/cron.d/%{name}-plugin-mediawiki
%{_localstatedir}/lib/%{name}/plugins/mediawiki/
%{_datadir}/mediawiki/skins/FusionForge.php
%{_datadir}/mediawiki/skins/fusionforge


%package plugin-message
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Message
%description plugin-message
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows the site administrator to display a message banner
on all pages, e.g. for maintenance announcements.
%files plugin-message
%{_datadir}/%{name}/plugins/message/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/message.ini


%package plugin-moinmoin
Requires: %{name}-common = %{version}-%{release}, moin, mod_wsgi, python-psycopg2
Summary: FusionForge plugin - MoinMoinWiki
%description plugin-moinmoin
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to embed MoinMoinWiki under a tab.
%files plugin-moinmoin
%{_datadir}/%{name}/plugins/moinmoin/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/moinmoin.ini
%config(noreplace) %{_sysconfdir}/%{name}/plugins/moinmoin/


%package plugin-online_help
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - online_help!
%description plugin-online_help
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This is a online_help plugin within FusionForge.
%files plugin-online_help
%{_datadir}/%{name}/plugins/online_help/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/online_help.ini


%package plugin-scmhook
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Scmhook
%description plugin-scmhook
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a set of commit hooks (e-mail notifications,
tracker integration, conformity...) that can be enabled for each
project independently.
%files plugin-scmhook
%{_datadir}/%{name}/plugins/scmhook/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/scmhook.ini


%package plugin-projectlabels
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Project labels
%description plugin-projectlabels
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This can be used to highlight some projects on a forge, for instance
for a "project of the month".
%files plugin-projectlabels
%{_datadir}/%{name}/plugins/projectlabels/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/projectlabels.ini


%package plugin-contribtracker
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Contribution Tracker
%description plugin-contribtracker
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to display a list of significant
contributions, along with their authors.
%files plugin-contribtracker
%{_datadir}/%{name}/plugins/contribtracker/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/contribtracker.ini


%package plugin-globalsearch
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Globalsearch
%description plugin-globalsearch
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a cross-FusionForge search engine.  You can
declare a list of other FusionForge sites, and search for projects
hosted on these forges from your own.
%files plugin-globalsearch
%{_datadir}/%{name}/plugins/globalsearch/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/globalsearch.ini


%package plugin-webanalytics
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - webanalytics
%description plugin-webanalytics
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

webanalytics plugin for FusionForge.
%files plugin-webanalytics
%{_datadir}/%{name}/plugins/webanalytics/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/webanalytics.ini


%package plugin-sysauthldap
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - System authentication via LDAP
%description plugin-sysauthldap
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin maintains data about users, groups and memberships in an
LDAP directory that can be used for NSS/PAM system authentication (or
for other uses).
%files plugin-sysauthldap
%{_datadir}/%{name}/plugins/sysauthldap/
%config(noreplace) %{_sysconfdir}/%{name}/config.ini.d/sysauthldap.ini


%changelog
* Mon Nov 3 2014 Sylvain Beucler <beuc@beuc.net> - 5.3.2-3
- Remove augeas dependency from fusionforge-plugin-scmsvn which is not
  needed in 5.3.2.
- Configure apache_user/apache_group to work-around 'install-ng' limitation
- Use more precise %%{version}-%%{release} dependencies
- Reference /var/log/fusionforge in %%files common
- Install /var/log/fusionforge/plugins/env.inc.php

* Sat Nov 1 2014 Sylvain beucler <beuc@beuc.net> - 5.3.2-2
- Remove fusionforge-lists -> fusionforge-mta dependency which is not
  yet available in 5.3.2.

* Thu Oct 30 2014 Sylvain Beucler <beuc@beuc.net> - 5.3.2-1
- Initial import for current stable release
